server:
  port: 8833
spring:
  application:
    # 应用名称
    name: dmp-rwd-plus
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
#  datasource:
#    druid:
#      filters: stat,slf4j
#      filter:
#        wall:
#          config:
#            #允许一次执行多条语句
#            multi-statement-allow: true
#            #允许非基本语句的其他语句,开启后可以执行DDL语句
#            none-base-statement-allow: true
#          enabled: false
#        slf4j:
#          enabled: true

config:
  file:
    absolute:
      path: ${CONFIG_FILE_PATH:D:\SpringCloud}
#feign:
#  compression:
#    request:
#      # 开启请求压缩
#      enabled: true
#      # 配置压缩的 MIME TYPE
#      mime-types: text/xml,application/xml,application/json
#      # 配置压缩数据大小的下限
#      min-request-size: 2048
#    response:
#      # 开启响应压缩
#      enabled: true
#扫描Entity, 加入此设置方可在Mybatis的XML文件中使用实体类的Alias
mybatis-plus:
  type-handlers-package: com.persagy.dmp.basic.config